ServerEvents.recipes(event => {
    event.remove({output: 'functionalstorage:storage_controller'})
    event.remove({output: 'functionalstorage:fluid_1'})
    event.remove({output: 'functionalstorage:fluid_2'})
    event.remove({output: 'functionalstorage:fluid_4'})
})
  
ServerEvents.recipes(event => {
    //Storage Controller
    event.shaped('functionalstorage:storage_controller',
      ['121','343','121'], {
        1: 'allthecompressed:stone_block_1x', 
        2: '#c:quartz_blocks',
        3: '#functionalstorage:drawer',
        4: '#forge:ingots/steel'
    }).id('functionalstorage:storage_controller')
    
    //Fluid Drawer
    event.shaped('functionalstorage:fluid_1',
      ['111','121','111'], {
        1: '#forge:treated_wood', 
        2: 'minecraft:bucket'
    }).id('functionalstorage:fluid_1')
    
    //Fluid Drawer 1x2
    event.shaped('functionalstorage:fluid_2',
      ['121','111','121'], {
        1: '#forge:treated_wood', 
        2: 'minecraft:bucket'
    }).id('functionalstorage:fluid_2')
    
    //Fluid Drawer 2x2
    event.shaped('functionalstorage:fluid_4',
      ['212','111','212'], {
        1: '#forge:treated_wood', 
        2: 'minecraft:bucket'
    }).id('functionalstorage:fluid_4')
    
    //Fluid Drawer 2x2
    event.shaped('functionalstorage:max_storage_upgrade',
      ['111','121','111'], {
        1: 'functionalstorage:netherite_upgrade', 
        2: 'allthemodium:vibranium_block'
    }).id('functionalstorage:max_storage_upgrade')
})